<img align="right" width="25%" src="https://raw.githubusercontent.com/twicpics/components-flutter/main/resources/logo.png">

# TwicPics Flutter Widget Samples

This project is a demonstration of TwicPics Flutter Components using `TwicPics` test domain: `https://demo.twic.pics`.

You can adapt the code with your own domain. If you don't already have one, you can easily create your own [TwicPics account for free](https://account.twicpics.com/signup).

## Getting Started

### Install dependencies

```bash
$ flutter pub get
```

### Start project

```bash
$ flutter run
```

## Overview

### What is [TwicPics](https://www.twicpics.com/?utm_source=github&utm_medium=organic&utm_campaign=components)?

[TwicPics](https://www.twicpics.com/?utm_source=github&utm_medium=organic&utm_campaign=components) is a **Responsive Image Service Solution** (SaaS) that enables **on-demand responsive image generation**.

With [TwicPics](https://www.twicpics.com/?utm_source=github&utm_medium=organic&utm_campaign=components), developers only deal with high-resolution versions of their media while end-users receive **optimized, perfectly sized, device-adapted** versions **delivered from a server close to them**.

[TwicPics](https://www.twicpics.com/?utm_source=github&utm_medium=organic&utm_campaign=components) acts as an **image proxy**. It requests your master image, be it on your own web server, cloud storage or DAM, then generates a **device-adapted** version with **best-in-class compression**, delivered directly to the end-user from the **closest delivery point** available.

### What is TwicPics Flutter Components ?

 `TwicImg` is a widget that make it dead easy to unleash the power of [TwicPics](https://www.twicpics.com/) in your `Flutter` projects.

 It includes:

- Fast Loading
- Images sized to the pixel
- DPR awareness
- Lazy-loading
- Cache management
- CLS optimization
- Smart Cropping
- Many others with [TwicPics Transformations](https://www.twicpics.com/docs/reference/transformations)


## Configuration part

An example of configuration is set within `lib/main.dart` file.

## Examples

All the examples proposed in this project are located in the `lib/pages` directory.
Feel free to inspire yourself from these different use cases to unleash the power of [TwicPics](https://www.twicpics.com/) in your own projects.

## Questions and feedback

Fell free to submit an [issue](https://github.com/TwicPics/components/issues) or to ask us anything by dropping an email at [support@twic.pics](mailto:support@twic.pics).

## Additional information

[TwicPics](https://www.twicpics.com/?utm_source=github&utm_medium=organic&utm_campaign=components) provides the most versatile solution on the market for delivering responsive media.

TwicPics Components are also available [in the most popular javascript frameworks](https://www.npmjs.com/package/@twicpics/components).